Bug 184051 - kernel hangs on amd mp when uni processor kernel chosen
kernel hangs on amd mp when uni processor kernel chosen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-05 10:51 EST by Gianluca Cecchi
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 15:31:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca Cecchi 2006-03-05 10:51:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060223 Fedora/1.5.0.1-5 Firefox/1.5.0.1

Description of problem:
I started the uniprocessor kernel on a dual MP 2200+ system
and I noticed that the uniprocessor 2.6.15-1.2009.4.2_FC5 kernel hangs up. 
The smp one is ok instead.
Tried two times with same result.
The message is:
BUG: soft lockup detected on cpu#0!
PID:0, comm: swapper
EIP: 0060 [<c01394fe>] CPU: 0
EIP is at handle_irq_event+0x17/0x4c

Version-Release number of selected component (if applicable):
kernel-2.6.15-1.2009.4.2_FC5

How reproducible:
Always

Steps to Reproduce:
1.start system
2.choose uni processor kernel
3. system hangs
  

Actual Results:  systema hangs

Expected Results:  boot process completion

Additional info:
Comment 1 Gianluca Cecchi 2006-03-06 14:36:36 EST
Reinstalled 1996 kernels and the show the same behaviour.
1996 smp is ok, 1996 uni is ko.
The EIP is the same 0060[<c01391f2>] in 1996.
HIH debugging.
In the past I had problems with my sata pci card, so this can be a possible
responsible.
It is silicon image.
Under CentOS 4 (now booted) lspci -v gives for this card:
02:05.0 RAID bus controller: Silicon Image, Inc. SiI 3112 [SATALink/SATARaid]
Serial ATA Controller (rev 01)
        Subsystem: Silicon Image, Inc. SiI 3112 SATARaid Controller
        Flags: bus master, 66Mhz, medium devsel, latency 32, IRQ 169
        I/O ports at 9800 [size=8]
        I/O ports at 9c00 [size=4]
        I/O ports at a000 [size=8]
        I/O ports at a400 [size=4]
        I/O ports at a800 [size=16]
        Memory at fc011000 (32-bit, non-prefetchable) [size=512]
        Capabilities: <available only to root>

I have two disks on it but not in raid config.
HIH debugging.
Let me know if and where download older kernels, to see begin of problem.
Actually it is to be noted that I had problems installing FC5, also from before
t2, on this machine, so I used a dump from a vmware workstation 5 installation
to have it installed, customizing initrd and so.
Probably the problem with my machine is also in installation kernel...

Comment 2 Warren Togami 2006-03-06 19:42:04 EST
I'm assuming in the above report, you are talking about the i686?

Out of curiosity, does the i586 uniprocessor kernel boot?
Comment 3 Warren Togami 2006-03-06 20:00:43 EST
http://people.redhat.com/davej/kernels/Fedora/devel/
Please also try the latest test kernel from here and report back.
Comment 4 Gianluca Cecchi 2006-03-07 02:27:19 EST
kernel 2025 is ok for both uni i686 and smp!

[root@fedora ~]# lspci
00:00.0 Host bridge: Advanced Micro Devices [AMD] AMD-760 MP [IGD4-2P] System
Controller (rev 11)
00:01.0 PCI bridge: Advanced Micro Devices [AMD] AMD-760 MP [IGD4-2P] AGP
Bridge00:07.0 ISA bridge: Advanced Micro Devices [AMD] AMD-768 [Opus] ISA (rev 05)
00:07.1 IDE interface: Advanced Micro Devices [AMD] AMD-768 [Opus] IDE (rev 04)
00:07.3 Bridge: Advanced Micro Devices [AMD] AMD-768 [Opus] ACPI (rev 03)
00:07.5 Multimedia audio controller: Advanced Micro Devices [AMD] AMD-768 [Opus]
Audio (rev 03)
00:09.0 SCSI storage controller: LSI Logic / Symbios Logic 53c1010 Ultra3 SCSI
Adapter (rev 01)
00:09.1 SCSI storage controller: LSI Logic / Symbios Logic 53c1010 Ultra3 SCSI
Adapter (rev 01)
00:10.0 PCI bridge: Advanced Micro Devices [AMD] AMD-768 [Opus] PCI (rev 05)
01:05.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5200]
(rev a1)
02:00.0 USB Controller: Advanced Micro Devices [AMD] AMD-768 [Opus] USB (rev
07)02:04.0 Multimedia audio controller: Creative Labs SB Audigy LS
02:04.1 Input device controller: Creative Labs SB Audigy LS MIDI/Game port
02:05.0 RAID bus controller: Silicon Image, Inc. SiI 3112 [SATALink/SATARaid]
Serial ATA Controller (rev 01)
02:06.0 Ethernet controller: Altima (nee Broadcom) AC9100 Gigabit Ethernet (rev 15)
15)
02:08.0 USB Controller: NEC Corporation USB (rev 41)
02:08.1 USB Controller: NEC Corporation USB (rev 41)
02:08.2 USB Controller: NEC Corporation USB 2.0 (rev 02)

with uni kernel 2025 i686:
[root@fedora ~]# uname -a
Linux fedora.homelinux.org 2.6.15-1.2025_FC5 #1 Mon Mar 6 21:58:45 EST 2006 i686
athlon i386 GNU/Linux
[root@fedora ~]# cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 8
model name      : AMD Athlon(tm) MP 2200+
stepping        : 1
cpu MHz         : 1800.420
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat
pse36 mmx fxsr sse syscall mp mmxext 3dnowext 3dnow ts
bogomips        : 3609.69

with 2025 smp:

[root@fedora ~]# uname -a
Linux fedora.homelinux.org 2.6.15-1.2025_FC5smp #1 SMP Mon Mar 6 22:18:36 EST
2006 i686 athlon i386 GNU/Linux

[root@fedora ~]# cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 8
model name      : AMD Athlon(tm) MP 2200+
stepping        : 1
cpu MHz         : 1800.420
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov
pat pse36 mmx fxsr sse syscall mp mmxext 3dnowext 3dnow ts
bogomips        : 3609.88

processor       : 1
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 8
model name      : AMD Athlon(tm) MP
stepping        : 1
cpu MHz         : 1800.420
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov
pat pse36 mmx fxsr sse syscall mp mmxext 3dnowext 3dnow ts
bogomips        : 3600.47
Comment 5 Dave Jones 2006-03-07 15:31:24 EST
great!  I bet that was the UP-apic patch we were carrying that I dropped.

Note You need to log in before you can comment on or make changes to this bug.